## manila 6.0.0~b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# pbr should be first
pbr!=2.1.0,>=2.0.0 # Apache-2.0

alembic>=0.8.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
greenlet>=0.4.10 # MIT
ipaddress>=1.0.16;python_version<'3.3' # PSF
lxml!=3.7.0,>=3.4.1 # BSD
netaddr>=0.7.18 # BSD
oslo.config>=5.1.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.concurrency>=3.25.0 # Apache-2.0
paramiko>=2.0.0 # LGPLv2.1+
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pyparsing>=2.1.0 # MIT
python-neutronclient>=6.3.0 # Apache-2.0
keystoneauth1>=3.3.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes>=2.3.1 # MIT
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
tooz>=1.58.0 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
WebOb>=1.7.1 # MIT

## manila 6.0.0~rc1

=== debian/changelog ===
manila (1:6.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Feb 2018 12:09:43 -0500

manila (1:6.0.0~b3-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/manila-common.install: Drop install of policy.json.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/update-tests-for-ipaddress-1.0.17.patch: Dropped. Fixed in
    milestone.
  * d/rules: Run tests with ostestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 10:26:42 -0500

manila (1:6.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10 and drop dh-systemd.
  * d/watch: Scope to Queens series.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/install, d/manila-common.install, d/python-manila.install: Align
    with upstream install paths.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 11 Dec 2017 14:07:41 -0500

## manila 6.0.0~rc2

=== debian/changelog ===
manila (1:6.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Feb 2018 14:33:51 -0500

## manila 6.0.0~rc3

=== debian/changelog ===
manila (1:6.0.0~rc3-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 26 Feb 2018 17:49:23 -0500

## manila 6.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0
sphinx!=1.6.6,>=1.6.2 # BSD
mock>=2.0.0 # BSD
os-api-ref>=1.4.0 # Apache-2.0
ddt>=1.0.1 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
oslotest>=3.2.0 # Apache-2.0

=== debian/changelog ===
manila (1:6.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 14:58:58 -0500

=== debian/control ===
Source: manila
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python-alembic (>= 0.8.10),
 python-babel (>= 2.3.4),
 python-cinderclient (>= 1:3.3.0),
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-greenlet (>= 0.4.10),
 python-hacking (>= 0.12.0),
 python-ipaddress (>= 1.0.16),
 python-iso8601 (>= 0.1.11),
 python-keystoneauth1 (>= 3.3.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 3.4.1),
 python-mock (>= 2.0.0),
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-api-ref (>= 1.4.0),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1:3.2.0),
 python-paramiko (>= 2.0.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pep8,
 python-psycopg2 (>= 2.6.2),
 python-pymysql (>= 0.7.6),
 python-pyparsing (>= 2.1.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.1.0),
 python-retrying (>= 1.2.3),
 python-routes (>= 2.3.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-tooz (>= 1.58.0),
 python-webob (>= 1:1.7.1),
 subunit (>= 0.0.18),
 testrepository (>= 0.0.18),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
XS-Testsuite: autopkgtest

Package: manila-api
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: Manila storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem storage service.
 .
 This package contains the Manila API server.

Package: manila-common
Architecture: all
Depends:
 adduser,
 python-manila (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Description: Manila storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains commons components for Manila.

Package: manila-data
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: Manila storage service - Data service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Data service.

Package: manila-scheduler
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: Manila storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Scheduler server

Package: manila-share
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
Description: Manila storage service - Share service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Share service.

Package: python-manila
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python-alembic (>= 0.8.10),
 python-babel (>= 2.3.4),
 python-cinderclient (>= 1:3.3.0),
 python-eventlet (>= 0.18.2),
 python-greenlet (>= 0.4.10),
 python-ipaddress (>= 1.0.16),
 python-keystoneauth1 (>= 3.3.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 3.4.1),
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.3.0),
 python-novaclient (>= 2:9.1.0),
 python-oslo.concurrency (>= 3.25.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-paramiko (>= 2.0.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 2.0.0),
 python-pymysql,
 python-pyparsing (>= 2.1.0),
 python-requests (>= 2.14.2),
 python-retrying (>= 1.2.3),
 python-routes (>= 2.3.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-tooz (>= 1.58.0),
 python-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python:Depends},
Description: Manila Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Python library for Manila.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,systemd

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

override_dh_auto_build:
	dh_auto_build
	oslo-config-generator --config-file etc/oslo-config-generator/manila.conf \
		--output-file etc/manila/manila.conf

override_dh_auto_clean:
	dh_auto_clean
	rm -f etc/manila/manila.conf
	rm -f debian/*.service debian/*.upstart debian/*.init
	rm -rf .eggs

override_dh_install:
	dh_install --fail-missing

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=$(CURDIR) ostestr
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/manila manila-(6\.\d.*)\.tar.gz

## manila 7.0.0~b2

=== debian/changelog ===
manila (1:7.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * d/control: Update Standards-Version to 4.1.4.
  * d/tests/manila-shebangs-py*: Fix typos.
  * d/watch: Scope to 7.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jun 2018 12:04:49 -0400

manila (1:6.0.0-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-manila package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      manila-common depends on python-manila by default and python3-manila
      as alternative.
    - d/control: Drop ${python3:Depends} from manila-* binary packages
      as it's covered in python3-manila.
    - d/control: move python(3)-openstackclient dependency from manila-api
      Depends to python(3)-manila Depends.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control: Add manila-data binary package.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/manila-common.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-manila.post*, d/python(3)-manila.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/install, d/python3-manila.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for manila daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/manila-data.init.in: Add manila-data init template.
    - d/manila-share.init.in: Fix typo.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Jun 2018 08:24:38 -0400

manila (1:6.0.0-2) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:49:49 +0000

manila (1:6.0.0-1) unstable; urgency=medium

  * Switched to openstack-pkg-tools >= 70~ shared debconf templates.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 08:50:52 +0000

manila (1:6.0.0~rc3-1) unstable; urgency=medium

  * New upstream RC release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2018 16:20:45 +0000

manila (1:6.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Using pkgos-dh_auto_test.
  * Switched to Python 3.
  * Blacklist all share.drivers.dell_emc tests: they are failing in Py3.
  * Generate policy.yaml with oslopolicy-sample-generator.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 13:09:06 +0000

manila (1:5.0.1-3) unstable; urgency=medium

  * Add explicit depends on e2fsprogs (Closes: #887193).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 11:03:41 +0100

manila (1:5.0.1-2) unstable; urgency=medium

  * Do not delete search.html, making build reproducible (Closes: #861896).
  * Remove /usr/lib from manila-api (Closes: #880374).
  * Updated pt.po (Closes: #876175).
  * Uploading to unstable:
    - Fixed FTBFS (Closes: #871337).
  * Removed dh-systemd build-depends.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 09:34:59 +0000

manila (1:5.0.1-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Some clean-ups.
  * Drop SQLAlchemy version patch.
  * Black list cmd.test_manage.ManilaCmdManageTestCase.test_run_ipython which
    is failing.
  * Add python-manila.install.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Oct 2017 00:18:39 +0200

=== debian/control ===
Source: manila
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>, Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Malihe Asemani <ml.asemani@gmail.com>,
 Andreas Tille <andreas@an3as.eu>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 74~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 git,
 python-alembic (>= 0.8.10),
 python-babel (>= 2.3.4),
 python-bashate (>= 0.5.1),
 python-cinderclient (>= 1:3.3.0),
 python-coverage (>= 4.0),
 python-ddt (>= 1.0.1),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-greenlet (>= 0.4.10),
 python-hacking (>= 0.12.0),
 python-iso8601 (>= 0.1.11),
 python-keystoneauth1 (>= 3.4.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 3.4.1),
 python-mock (>= 2.0.0),
 python-mysqldb,
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.7.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-api-ref (>= 1.4.0),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-paramiko (>= 2.0.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pep8,
 python-psycopg2 (>= 2.6.2),
 python-pymysql (>= 0.7.6),
 python-pyparsing (>= 2.1.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.2.0),
 python-retrying (>= 1.2.3),
 python-routes (>= 2.3.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stestr,
 python-stevedore (>= 1:1.20.0),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-tooz (>= 1.58.0),
 python-webob (>= 1:1.7.1),
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-bashate (>= 0.5.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-greenlet (>= 0.4.10),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-mock (>= 2.0.0),
 python3-mysqldb,
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-paramiko (>= 2.0.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-pyparsing (>= 2.1.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr,
 python3-stevedore (>= 1:1.20.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
Build-Conflicts:
 bpython,
 ipython,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/manila
Homepage: https://github.com/openstack/manila
Testsuite: autopkgtest-pkg-python

Package: manila-api
Architecture: all
Depends:
 adduser,
 manila-common (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - API server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila API server.

Package: manila-data
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: Manila storage service - Data service
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Manila is the OpenStack shared filesystem service.
 .
 This package contains the Manila Data service.

Package: manila-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python-manila (= ${binary:Version}) | python3-manila (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack shared file system as a service - common files
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains commons components for Manila.

Package: manila-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack shared file system as a service - Doc
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the documentation.

Package: manila-scheduler
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - Scheduler server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Scheduler server.

Package: manila-share
Architecture: all
Depends:
 manila-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack shared file system as a service - Share server
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Manila Share daemon.

Package: python-manila
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 e2fsprogs,
 python-alembic (>= 0.8.10),
 python-babel (>= 2.3.4),
 python-cinderclient (>= 1:3.3.0),
 python-eventlet (>= 0.18.2),
 python-greenlet (>= 0.4.10),
 python-keystoneauth1 (>= 3.4.0),
 python-keystonemiddleware (>= 4.17.0),
 python-lxml (>= 3.4.1),
 python-netaddr (>= 0.7.18),
 python-neutronclient (>= 1:6.7.0),
 python-novaclient (>= 2:9.1.0),
 python-openstackclient,
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.reports (>= 1.18.0),
 python-oslo.rootwrap (>= 5.8.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-paramiko (>= 2.0.0),
 python-paste (>= 2.0.2),
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 2.0.0),
 python-psycopg2 (>= 2.6.2),
 python-pymysql,
 python-pyparsing (>= 2.1.0),
 python-requests (>= 2.14.2),
 python-retrying (>= 1.2.3),
 python-routes (>= 2.3.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-tooz (>= 1.58.0),
 python-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python:Depends},
Conflicts:
 python3-manila,
Description: OpenStack shared file system as a service - Python 2.7 libs
 Manila is an OpenStack project to provide Shared Filesystems as a service.
 It provides coordinated access to shared or distributed file systems. While
 the primary consumption of file shares would be across OpenStack Compute
 instances, the service is also intended to be accessible as an independent
 capability in line with the modular design established by other OpenStack
 services. Manila is extensible for multiple backends (to support vendor or
 file system specific nuances / capabilities) and accommodates any of a
 variety of shared or distributed file system types.
 .
 This package contains the Python 2.7 library for Manila.

Package: python3-manila
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 e2fsprogs,
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-cinderclient (>= 1:3.3.0),
 python3-eventlet (>= 0.18.2),
 python3-greenlet (>= 0.4.10),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-lxml (>= 3.4.1),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackclient,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),

## manila 7.0.0~rc1

=== debian/changelog ===
manila (1:7.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 15:03:14 -0400

manila (1:7.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * d/tests/manila-daemons: Fix up rabbitmqctl commands.
  * d/python(3)-manila.post*, d/python(3)-manila.prerm: Add
    update-alternatives for manila-data.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jun 2018 11:50:18 -0400

=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
  python-fixtures (>= 3.0.0),
  python-greenlet (>= 0.4.10),
  python-hacking (>= 0.12.0),
+ python-ipaddress (>= 1.0.17),
  python-iso8601 (>= 0.1.11),
  python-keystoneauth1 (>= 3.4.0),
  python-keystonemiddleware (>= 4.17.0),
@@ -265,6 +266,7 @@
  python-cinderclient (>= 1:3.3.0),
  python-eventlet (>= 0.18.2),
  python-greenlet (>= 0.4.10),
+ python-ipaddress (>= 1.0.17),
  python-keystoneauth1 (>= 3.4.0),
  python-keystonemiddleware (>= 4.17.0),
  python-lxml (>= 3.4.1),
@@ -338,5 +340,3 @@
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.27.0),
- python3-oslo.i18n (>= 3.15.3),

=== debian/tests/control ===
Tests: manila-daemons, manila-shebangs-py2
Depends: manila-common, manila-api, manila-scheduler,
 manila-data, manila-share, mysql-server, rabbitmq-server, crudini
Restrictions: needs-root allow-stderr

Tests: manila-daemons, manila-shebangs-py3
Depends: python3-manila, manila-common, manila-api, manila-scheduler,
 manila-data, manila-share, mysql-server, rabbitmq-server, crudini
Restrictions: needs-root allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/manila manila-(7\.\d.*)\.tar.gz

## manila 7.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
 
 alembic>=0.8.10 # MIT
 Babel!=2.4.0,>=2.3.4 # BSD
-eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
+eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 greenlet>=0.4.10 # MIT
-ipaddress>=1.0.16;python_version<'3.3' # PSF
+ipaddress>=1.0.17;python_version<'3.3' # PSF
 lxml!=3.7.0,>=3.4.1 # BSD
 netaddr>=0.7.18 # BSD
-oslo.config>=5.1.0 # Apache-2.0
+oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
@@ -25,13 +25,13 @@
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-oslo.concurrency>=3.25.0 # Apache-2.0
+oslo.concurrency>=3.26.0 # Apache-2.0
 paramiko>=2.0.0 # LGPLv2.1+
 Paste>=2.0.2 # MIT
 PasteDeploy>=1.5.0 # MIT
 pyparsing>=2.1.0 # MIT
-python-neutronclient>=6.3.0 # Apache-2.0
-keystoneauth1>=3.3.0 # Apache-2.0
+python-neutronclient>=6.7.0 # Apache-2.0
+keystoneauth1>=3.4.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 retrying!=1.3.0,>=1.2.3 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 openstackdocstheme>=1.18.1 # Apache-2.0
 reno>=2.5.0 # Apache-2.0
 doc8>=0.6.0 # Apache-2.0
-sphinx!=1.6.6,>=1.6.2 # BSD
+sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
 mock>=2.0.0 # BSD
 os-api-ref>=1.4.0 # Apache-2.0
 ddt>=1.0.1 # MIT

=== debian/changelog ===
manila (1:7.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Malihe and Andreas from uploaders.
  * Fixed typo in manila-share.init.in (Closes: #902014).
  * Add manila-data binary and init template (Closes: #902013).
  * Blacklist tests that are doing infinite recursion: (Closes: #906277)
    - share.drivers.qnap.test_qnap.QnapShareDriverLoginTestCase.*

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 15:53:37 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc

override_dh_auto_clean:
	rm -f etc/manila/manila.conf
	rm -f debian/*.service debian/*.upstart debian/*.init
	rm -f debian/manila-common.postinst debian/manila-common.config debian/manila-api.config debian/manila-api.postinst debian/manila-common.postrm
	rm -rf debian/manila-common.postrm debian/*.templates debian/po

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func manila-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm manila-common.postrm
	pkgos-merge-templates manila-api manila endpoint
	pkgos-merge-templates manila-common manila db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'manila\.tests\.((?!.*cmd\.test_manage\.ManilaCmdManageTestCase\.test_run_ipython.*|.*share\.drivers\.dell_emc.*|.*share\.drivers\.qnap\.test_qnap\.QnapShareDriverLoginTestCase.*))'
endif

	# Generate the config file
	mkdir -p $(CURDIR)/debian/manila-common/usr/share/manila-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--namespace manila \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace keystonemiddleware.auth_token \
		--output-file $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf keystone_authtoken manila

	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf keystone_authtoken auth_protocol http
	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf oslo_concurrency lock_path /var/lock/manila

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/manila-common/usr/share/manila-common/policy.json \
		--format json \
		--namespace manila

	# and copy the remaining
	set -e ; for i in api-paste.ini rootwrap.conf ; do \
		cp $(CURDIR)/etc/manila/$$i $(CURDIR)/debian/manila-common/usr/share/manila-common ; \
	done
	cp $(CURDIR)/etc/manila/logging_sample.conf $(CURDIR)/debian/manila-common/usr/share/manila-common/logging.conf
	cp -rfv $(CURDIR)/etc/manila/rootwrap.d $(CURDIR)/debian/manila-common/usr/share/manila-common

	install -D -m 0440 debian/manila-common.sudoers $(CURDIR)/debian/manila-common/etc/sudoers.d/manila-common

	dh_install
	dh_missing --fail-missing
	rm -rf $(CURDIR)/debian/manila-api/usr/lib

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/manila-doc/usr/share/doc/manila-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## manila 8.0.0~b1~git2019013018.852fc786

=== debian/changelog ===
manila (1:8.0.0~b1~git2019013018.852fc786-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 17:44:10 +0000

manila (1:8.0.0~b1~git2018111913.7e411a71-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:49:27 -0500

manila (1:7.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * Additional support for Python 3:
    - d/control: Drop python(3)-manila conflicts on each other.
    - d/python(3)-manila.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:20:34 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 74~),
+ openstack-pkg-tools (>= 85ubuntu3~),
  po-debconf,
  python-all,
  python-pbr (>= 2.0.0),
@@ -22,64 +22,6 @@
 Build-Depends-Indep:
  alembic (>= 0.8.10),
  git,
- python-alembic (>= 0.8.10),
- python-babel (>= 2.3.4),
- python-bashate (>= 0.5.1),
- python-cinderclient (>= 1:3.3.0),
- python-coverage (>= 4.0),
- python-ddt (>= 1.0.1),
- python-eventlet (>= 0.18.2),
- python-fixtures (>= 3.0.0),
- python-greenlet (>= 0.4.10),
- python-hacking (>= 0.12.0),
- python-ipaddress (>= 1.0.17),
- python-iso8601 (>= 0.1.11),
- python-keystoneauth1 (>= 3.4.0),
- python-keystonemiddleware (>= 4.17.0),
- python-lxml (>= 3.4.1),
- python-mock (>= 2.0.0),
- python-mysqldb,
- python-netaddr (>= 0.7.18),
- python-neutronclient (>= 1:6.7.0),
- python-novaclient (>= 2:9.1.0),
- python-openstackdocstheme (>= 1.18.1),
- python-os-api-ref (>= 1.4.0),
- python-os-testr (>= 1.0.0),
- python-oslo.concurrency (>= 3.26.0),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.context (>= 1:2.19.2),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.30.0),
- python-oslo.reports (>= 1.18.0),
- python-oslo.rootwrap (>= 5.8.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-oslotest (>= 1:3.2.0),
- python-paramiko (>= 2.0.0),
- python-paste (>= 2.0.2),
- python-pastedeploy (>= 1.5.0),
- python-pep8,
- python-psycopg2 (>= 2.6.2),
- python-pymysql (>= 0.7.6),
- python-pyparsing (>= 2.1.0),
- python-requests (>= 2.14.2),
- python-requests-mock (>= 1.2.0),
- python-retrying (>= 1.2.3),
- python-routes (>= 2.3.1),
- python-six (>= 1.10.0),
- python-sqlalchemy (>= 1.0.10),
- python-stestr,
- python-stevedore (>= 1:1.20.0),
- python-testresources (>= 2.0.0),
- python-testscenarios (>= 0.4),
- python-testtools (>= 2.2.0),
- python-tooz (>= 1.58.0),
- python-webob (>= 1:1.7.1),
  python3-alembic (>= 0.8.10),
  python3-babel (>= 2.3.4),
  python3-bashate (>= 0.5.1),
@@ -115,6 +57,7 @@
  python3-oslo.rootwrap (>= 5.8.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
  python3-paramiko (>= 2.0.0),
@@ -124,6 +67,7 @@
  python3-psycopg2 (>= 2.6.2),
  python3-pymysql (>= 0.7.6),
  python3-pyparsing (>= 2.1.0),
+ python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
  python3-retrying (>= 1.2.3),
@@ -187,7 +131,7 @@
 Depends:
  adduser,
  dbconfig-common,
- python-manila (= ${binary:Version}) | python3-manila (= ${binary:Version}),
+ python3-manila (= ${binary:Version}),
  ${misc:Depends},
 Description: OpenStack shared file system as a service - common files
  Manila is an OpenStack project to provide Shared Filesystems as a service.
@@ -254,70 +198,6 @@
  variety of shared or distributed file system types.
  .
  This package contains the Manila Share daemon.
-
-Package: python-manila
-Section: python
-Architecture: all
-Depends:
- alembic (>= 0.8.10),
- e2fsprogs,
- python-alembic (>= 0.8.10),
- python-babel (>= 2.3.4),
- python-cinderclient (>= 1:3.3.0),
- python-eventlet (>= 0.18.2),
- python-greenlet (>= 0.4.10),
- python-ipaddress (>= 1.0.17),
- python-keystoneauth1 (>= 3.4.0),
- python-keystonemiddleware (>= 4.17.0),
- python-lxml (>= 3.4.1),
- python-netaddr (>= 0.7.18),
- python-neutronclient (>= 1:6.7.0),
- python-novaclient (>= 2:9.1.0),
- python-openstackclient,
- python-oslo.concurrency (>= 3.26.0),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.context (>= 1:2.19.2),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.30.0),
- python-oslo.reports (>= 1.18.0),
- python-oslo.rootwrap (>= 5.8.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-paramiko (>= 2.0.0),
- python-paste (>= 2.0.2),
- python-pastedeploy (>= 1.5.0),
- python-pbr (>= 2.0.0),
- python-psycopg2 (>= 2.6.2),
- python-pymysql,
- python-pyparsing (>= 2.1.0),
- python-requests (>= 2.14.2),
- python-retrying (>= 1.2.3),
- python-routes (>= 2.3.1),
- python-six (>= 1.10.0),
- python-sqlalchemy (>= 1.0.10),
- python-stevedore (>= 1:1.20.0),
- python-tooz (>= 1.58.0),
- python-webob (>= 1:1.7.1),
- ${misc:Depends},
- ${python:Depends},
-Conflicts:
- python3-manila,
-Description: OpenStack shared file system as a service - Python 2.7 libs
- Manila is an OpenStack project to provide Shared Filesystems as a service.
- It provides coordinated access to shared or distributed file systems. While
- the primary consumption of file shares would be across OpenStack Compute
- instances, the service is also intended to be accessible as an independent
- capability in line with the modular design established by other OpenStack
- services. Manila is extensible for multiple backends (to support vendor or
- file system specific nuances / capabilities) and accommodates any of a
- variety of shared or distributed file system types.
- .
- This package contains the Python 2.7 library for Manila.
 
 Package: python3-manila
 Section: python
@@ -340,3 +220,43 @@
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.middleware (>= 3.31.0),
+ python3-oslo.policy (>= 1.30.0),
+ python3-oslo.reports (>= 1.18.0),
+ python3-oslo.rootwrap (>= 5.8.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-paramiko (>= 2.0.0),
+ python3-paste (>= 2.0.2),
+ python3-pastedeploy (>= 1.5.0),
+ python3-pbr (>= 2.0.0),
+ python3-psycopg2 (>= 2.6.2),
+ python3-pymysql,
+ python3-pyparsing (>= 2.1.0),
+ python3-requests (>= 2.14.2),
+ python3-retrying (>= 1.2.3),
+ python3-routes (>= 2.3.1),
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.0.10),
+ python3-stevedore (>= 1:1.20.0),
+ python3-tooz (>= 1.58.0),
+ python3-webob (>= 1:1.7.1),
+ ${misc:Depends},
+ ${python3:Depends},
+Description: OpenStack shared file system as a service - Python 3 libs
+ Manila is an OpenStack project to provide Shared Filesystems as a service.
+ It provides coordinated access to shared or distributed file systems. While
+ the primary consumption of file shares would be across OpenStack Compute
+ instances, the service is also intended to be accessible as an independent
+ capability in line with the modular design established by other OpenStack
+ services. Manila is extensible for multiple backends (to support vendor or
+ file system specific nuances / capabilities) and accommodates any of a
+ variety of shared or distributed file system types.
+ .
+ This package contains the Python 3 library for Manila.

## manila 8.0.0~rc1

=== debian/changelog ===
manila (1:8.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Scope to 8.x series.
  * New upstream release candidate for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 10:08:05 -0400

manila (1:8.0.0~b1~git2019031804.b2787fde-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 12:20:33 +0000

## manila 8.0.0

=== requirements.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
 oslo.rootwrap>=5.8.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.upgradecheck>=0.1.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
 paramiko>=2.0.0 # LGPLv2.1+

=== debian/changelog ===
manila (1:8.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:15:47 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
- git,
  python3-alembic (>= 0.8.10),
  python3-babel (>= 2.3.4),
  python3-bashate (>= 0.5.1),
@@ -67,7 +66,6 @@
  python3-psycopg2 (>= 2.6.2),
  python3-pymysql (>= 0.7.6),
  python3-pyparsing (>= 2.1.0),
- python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
  python3-retrying (>= 1.2.3),

=== debian/rules ===
--- 
+++ 
@@ -24,19 +24,16 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	for i in $(PYTHON3S) ; do \
-		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
-	done
-
-	rm -rf $(CURDIR)/debian/tmp/usr/etc
+	pkgos-dh_auto_install --no-py2
+	rm -rf $(CURDIR)/debian/python3-manila/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'manila\.tests\.((?!.*cmd\.test_manage\.ManilaCmdManageTestCase\.test_run_ipython.*|.*share\.drivers\.dell_emc.*|.*share\.drivers\.qnap\.test_qnap\.QnapShareDriverLoginTestCase.*))'
+	pkgos-dh_auto_test --no-py2 'manila\.tests\.((?!.*cmd\.test_manage\.ManilaCmdManageTestCase\.test_run_ipython.*|.*share\.drivers\.dell_emc.*))'
 endif
 
 	# Generate the config file
 	mkdir -p $(CURDIR)/debian/manila-common/usr/share/manila-common
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-manila/usr/lib/python3/dist-packages python3-oslo-config-generator \
 		--namespace manila \
 		--namespace oslo.messaging \
 		--namespace oslo.middleware.cors \
@@ -50,7 +47,7 @@
 	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf keystone_authtoken auth_protocol http
 	pkgos-fix-config-default $(CURDIR)/debian/manila-common/usr/share/manila-common/manila.conf oslo_concurrency lock_path /var/lock/manila
 
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-manila/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/manila-common/usr/share/manila-common/policy.json \
 		--format json \
 		--namespace manila
@@ -73,7 +70,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	python3 -m sphinx -b html doc/source $(CURDIR)/debian/manila-doc/usr/share/doc/manila-doc/html
+	sphinx-build -b html doc/source $(CURDIR)/debian/manila-doc/usr/share/doc/manila-doc/html
 	dh_sphinxdoc
 endif
